/* ----------------------------------------------------------------
官網首頁使用的CSS
-----------------------------------------------------------------*/


@charset "UTF-8";
.homeBanner {
    position: absolute;
    width: 100%;
    height: auto;
    display:flex;
}
/*Banner 漸變效果*/
.bannerSlide {
    animation: fadeInOut 13s ease forwards; /* Change the duration or other properties as needed */
}

@keyframes fadeInOut {
    0% {
        opacity: 0; /* Start with opacity 0 */
    }

    10% {
        opacity: 1; /* Fade in at 50% of the animation */
    }
    90% {
        opacity: 1; /* Fade in at 50% of the animation */
    }

    100% {
        opacity: 0; /* Fade out at 100% of the animation */
    }
}

/*文字顏色漸變效果*/
@keyframes colorPulse {
  0% { color: #FFFFFF; }
  50% { color: #fccaad; }
  100% { color: #FFFFFF; }
}

@keyframes colorLoop {
  0% {
    color: #FFFFFF;
  }
  100% {
    color: #f6fa08;
  }
}

/* 應用到你的文字物件 */
.pulse-text {
  animation: colorLoop 1s infinite alternate ease-in-out;
}

.homeSearhSec {
    display: flex;
    flex-direction: column;
    min-height: fit-content;
    margin-top: 27%;
    margin-bottom: 1rem;
    font-size: var(--ct-t-basic);
    font-family: var(--bs-font-sans-serif);
}
.homeSearchMenu{
    display: flex;
    flex-direction: row;
    gap: 1px;
}
.searchOptionItemOn {
    display: flex;
    flex-direction: row;
    background-color: white;
    color: var(--cnvs-themecolor);
    padding: 0.5rem 1rem;
    border-radius: 0.5rem 0.5rem 0 0;
    gap: 0.2rem;
    align-items: center;
    flex: 1 0 0;
    max-width: 160px;
    justify-content: center;
}
    .searchOptionItemOn > a {
        color: var(--cnvs-themecolor);
        line-height: 2rem;
        border-bottom: solid 2px var(--cthouse-orange);
        
    }
.searchOptionItem {
    display: flex;
    flex-direction: row;
    color: white;
    background-color: var(--cnvs-themecolor);
    padding: 0.5rem 1rem;
    border-radius: 0.5rem 0.5rem 0 0;
    gap: 0.2rem;
    align-items: center;
    flex: 1 0 0;
    max-width: 160px;
    justify-content:center;
}
.searchOptionItem > a{
    color: white;
    line-height: 2rem;
}
.searchOptionItem > a:hover{
    border-bottom: solid 2px var(--cthouse-orange);
}
.slideText>ul>li{
    text-align:center;
}
.homeSearchMenu > a {
    display: flex;
    flex-direction: row;
}
.smallSearchMenul{
    display:none;
}
.homeSearchBar {
    display: flex;
    flex-direction: row;
    gap: 1rem;
    background-color: white;
    padding: 1rem;
    border-top-right-radius: 0.5rem;
    box-shadow: var(--small-shadow);
}
.homeBannerTextAdv {
    display: flex;
    background-color: rgb(245 245 245);
    justify-content: center;
    padding: 0.2rem 0 0.3rem 0;
    border-end-end-radius: 0.5rem;
    border-end-start-radius: 0.5rem;
    box-shadow: var(--middle-shadow);
    color: var(--cnvs-contrast-600);
    gap: 0.5rem;
    align-items: center;
    border-top: 1px solid var(--cnvs-contrast-200);
}
    .homeBannerTextAdv a {
        color: var(--cnvs-contrast-600);
        font-weight:400;
        text-decoration: none;
    }
    .homeBannerTextAdv a:hover {
        color: var(--cnvs-themecolor)!important;
    }
    .homeBannerTextAdv a i {
        margin-right:3px;
    }
.homeTopicObject {
    display: flex;
    flex-direction: column;
    margin: 2.5rem 0;
    font-family: var(--bs-font-sans-serif);
}
.homeTopicMenu {
    border-bottom: solid 1px var(--cnvs-contrast-300);
    margin: 0.5rem 0;
    display:flex;
}

    .homeTopicMenu > .ct-tab {
        flex-wrap:nowrap!important;
        flex:1 0 0;
        overflow:hidden;
        text-overflow:ellipsis;
        font-size:var(--ct-t-basic);
    }
        .homeTopicMenu > .ct-tab > .menu-item {
            min-width:fit-content;
        }
.moreTopic {
    display: flex;
    min-width: fit-content;
    padding: 0 0.5rem 0 1rem;
    color: var(--cnvs-themecolor);
    font-size: var(--vt-t-basic);
    align-items: center;
    gap:0.5rem;
}
    .vrObject {
        display: flex;
        flex-direction: column;
        font-family: var(--bs-font-sans-serif);
        width: 100%;
        flex: 1 0 0;
    }
    .vrObject > .wrapper-1176 {
        width: 100%;
        max-width:100%;
    }
        .vrObject > .wrapper-1176 > .slider1 > .bx-wrapper {
            max-width: 100%;
        }


            .newsLinkSec {
                display: flex;
                flex-direction: row;
                padding: 1rem;
                gap: 1.5rem;
            }
.topicevent{
    padding-right: 50px;
}
.newSec {
    border-radius: 1rem;
    box-shadow: var(--middle-shadow);
    padding: 1rem;
    display: flex;
    flex-direction: column;
    flex: 1 0 0;
}
.newMenu{
    display:flex;
    border-bottom: solid 1px var(--cnvs-contrast-300);
    font-size:var(--ct-t-6);
    gap:1rem;

}
.newsList{
    display: flex;
    flex-direction: column;
    gap: 0.5rem;
    color:var(--cnvs-contrast-600);
}
.newsList_new {
    display: flex;
    flex-direction: column;
    padding: 0 5px;
    color: var(--cnvs-contrast-600);
    padding-bottom:0.5rem;
}
.newsRow {
    display: flex;
    padding: 1.5rem 0 0.5rem 0;
    gap: 0.5rem;
    border-bottom: solid 1px var(--cnvs-contrast-300);
}
.newText {
    display: flex;
    flex-direction: column;
    gap: 0.5rem;
    width: 100%;
    font-size: var(--ct-t-basic);
}
    .newText > a {
        display: flex;
        flex-direction: row;
        gap: 0.5rem;
        width: 100%;
        font-size: var(--ct-t-basic);
        justify-content: space-between
    }
        .newText > a:hover > .newTitle {
            color: var(--cnvs-themecolor);
        }
.newTitle {
    color: var(--cnvs-contrast-800);
    flex:1 0 0;
    height:1.5rem;
    text-overflow:ellipsis;
    overflow:hidden;
}
.newSummary{
    font-size: var(--ct-t-basic);
    color: var(--cnvs-contrast-600);
    height: 3rem;
    line-height: 1.5rem;
    overflow: hidden;
    text-overflow: ellipsis;
}
.newData {
    font-size: var(--ct-t-basic);
    color: var(--cnvs-contrast-600);
    width: 7rem;
    display: flex;
    justify-content:flex-end;
}

.imgLinkSec{
    display: flex;
    flex-direction: column;
    gap: 1.5rem;
}
    .imgLinkSec > a {
        border-radius: 1rem;
        box-shadow: var(--middle-shadow);
    }

.imgLinks {
    display: flex;
    
    min-width: 300px;
    min-height: 340px;
    align-items: flex-end
}
.imgLinks >.imgItem{
    width: 100%;
    background-color: rgba(80, 80,80,0.7);
    border-radius: 0 0 1rem 1rem;
    height: 40%;
}
.imgItem > .infoSec {
    display: flex;
    flex-direction: row;
    padding: 0.5rem;
    gap: 0.5rem;
    justify-content:space-between;
}
.imgItem > .infoSec>.textSec{
    display: flex;
    flex-direction: column;
    color: white;
}
.textTitle{
    font-size: var(--ct-t-6);
}
.textDescript{
    font-size: var(--ct-t-basic);
}
.rightArrow{
    display: flex;
    background: none;
    color: white;
    border: none;
    align-items:center;
}

.joinus-bg {
    background-image: url(../images/home/joinsg.png);
    background-size: cover;
    background-repeat: no-repeat;
    background-position: left top;

}
.hr-bg {
    background-image: url(../images/home/hrsg.png);
    background-size: cover;
    background-repeat: no-repeat;
    background-position: left top;
    
}
.homeRecommandObject > .rightmore, .vrObject > .rightmore {
    max-width: 100%;
    display: flex;
    justify-content: center;
}
    .homeRecommandObject > .rightmore > .more, .vrObject > .rightmore > .more {
        max-width: 1162px;
        display: flex;
        flex: 1 0 0;
        justify-content: flex-end;
    }
/*加盟店*/
.storesRowSec {
    margin: 2.5rem 0;
    display: flex;
    flex-direction: column;
}
.storeRows {
    display: flex;
    flex-direction: row;
    gap: 8px;
    margin: 1rem 0;
    justify-content: space-around;
}
.storeItem {
    display: flex;
    flex-direction: column;
    min-width: 18%;
    width: 20%;
    max-width: 22%;
    align-items:center;
    padding:5px;
}
.storeItem>a:hover{
    box-shadow:var(--middle-shadow);
}

.storeInfo{
    display: flex;
    flex-direction: column;
}
.storeName{
    font-size: var(--ct-t-6);
    color: var(--cnvs-contrast-800);
    margin: 0.5rem 0;
}
.storeAddr{
    font-size: var(--ct-t-basic);
    color: var(--cnvs-contrast-600);
}
.storeTel{
    font-size: var(--ct-t-basic);
    color: var(--cnvs-contrast-600);
}
.storeItem > .storeImg {
    width: 100%;
    height: 195px;
    max-height: 196px;
    overflow: hidden;
    background: url('images/pic_defult_360x270.png');
    background-size: cover;
    background-position: center center;
    display: flex;
    align-items: center;
    justify-content: center;
}
/*服務連結區塊*/
.moreSeriviceSec{
    display: flex;
    flex-direction: column;
    align-items:center
}
.moreSeriviceSec >.tileSec{
    display: flex;
    flex-direction: column;
    align-items:center;
    color:var(--cnvs-contrast-600);
}
.iconLinkSec{
    display: flex;
    flex-direction: row;
    gap: 1rem;
    flex-wrap: wrap;
    width:100%;
    justify-content:space-evenly;
    padding:1.5rem;
}
.iconLink >a{
    display: flex;
    flex-direction: column;
    min-width: 120px;
    align-items:center;
    gap: 0.5rem;
}
.iconLink>a> img{
    display: flex;
    width: 88px;
    height: 88px;
    padding: 25px;
    border-radius: 1rem;
    box-shadow: var(--small-shadow);
}
    .iconLink > a:hover > img {
        box-shadow: var(--middle-shadow);
    }

.otherImgLink {
    display: flex;
    flex-direction: row;
    gap: 1.5rem;
    margin: 3.5rem 0;
    justify-content: center
}
.imgBannerItem{
    display: flex;
    flex-direction: column;
    max-width: 20%;
    align-items:center;
    gap:0.5rem;
}
.imgBannerItem>a {
    display: flex;
    flex-direction: column;
    align-items: center;
    gap: 0.5rem;
}
.imgBannerItem >img{
    border-radius: 0.5rem;
}
.bannerItemText {
    font-size: var(--ct-t-basic);
    text-align: center;
    line-height: 2.5rem;
}
/*控制舊 CSS*/
.searchBtn1 {
    position: unset;
    bottom: unset;
    left: unset;
    margin-left: unset;
    z-index: unset;
}
.selectPanel a.reSelect {
    text-wrap: nowrap!important;
}

.input-condition > .selectBtn {
    border: none;
    padding: 0 3rem 0 0.5rem;
}
.selectBtn:after {
    top:5px;
}
.search-bar > .searchbox__keywords {
    border: none;
}
.search-bar > .keywordIpt{
    width:100%;
    padding:0 0.5rem;
}
.homeSearhSec > .index_ad_block {
    position: unset;
    line-height: unset;
    font-size: unset;
    font-weight: unset;
    font-family: unset;
    color:unset;
}
.homeSearhSec > .index_ad_block a:hover {
    color:unset;
}
.btmStore {
    padding: 0;
    background:none;
    margin:0;
}
.index-add-store {
    padding-top: unset;
    padding-bottom: unset;
    max-width: auto;
    margin:unset;
}


/*pad*/
@media (max-width: 1024px) {

    .imgLinkSec > a {
        display: flex;
        flex: 1 0 0;
    }
    .joinus-bg {
        background-position:center;
    }
    .imgLinks {
        min-width: 100%;
        min-height: 40%;
        flex: 1 0 0;
    }
    .sellAdvBanner {
        gap: 0.5rem;
    }

        .sellAdvBanner > .more > .btnText {
            display: none
        }
}
@media (max-width: 950px) {
    .homeRecommandObject > .objectRowTitleSec, .vrObject > .objectRowTitleSec {
        padding-left:12px;
    }
    .homeSearhSec {
        margin-top: 330px;
    }
}


    @media (max-width: 761px) {
        .inpageBannerText {
            left: 0;
            right: 10%;
        }

        .inpageBannerH1 {
            font-size: var(--ct-t-4)
        }

        .inpageBannerH2 {
            font-size: var(--ct-t-6)
        }

        .searchOptionItemOn {
            min-width:100px;
            justify-content: center;
        }

        .searchOptionItem {
            min-width: 80px;
            justify-content: center;
        }

        .sellAdvBanner {
            margin: 1rem;
        }
        .homeSearchBar > .searchbox > .input-condition{
            max-width:100%;
            min-width:fit-content;
        }

        .input-condition > .selectBtn {
            width: 100%;
        }
        .homeBannerTextAdv{
            display:none;
        }
        .newsLinkSec {
            flex-direction: column;
            gap: 2.5rem;
        }

        .newTitle {
            font-size: var(--ct-t-basic);
            color: var(--cnvs-contrast-600);
            flex-direction: row;
            width: 16rem;
            overflow: hidden;
            text-overflow: ellipsis;
            text-wrap: nowrap;
        }

        .newSummary {
            font-size: var(--ct-t-small);
            color: var(--cnvs-contrast-600);
            height: 3rem;
            line-height: 1.5rem;
            overflow: hidden;
            text-overflow: ellipsis;
        }

        .newData {
            font-size: var(--ct-t-small);
            color: var(--cnvs-contrast-600);
            width: 6rem;
            text-align: center;
            padding-left: 0.5rem;
        }

        .storesRowSec {
            padding-left: 0.5rem;
        }

        .otherImgLink {
            flex-wrap: wrap;
        }

        .imgBannerItem {
            width: 40%;
            max-width: 40%
        }

            .imgBannerItem > a {
                text-align: center;
            }
        /*查詢據點css修改*/
        .idxSection4 {
            background: var(--cnvs-contrast-100);
            margin: 1rem 0 2rem 0;
            display: flex;
            flex-direction: column;
            align-items: center;
        }

            .idxSection4 > .objectRowTitle {
                background: var(--cnvs-contrast-100);
                margin: 1rem 0 2rem 0;
            }

                .idxSection4 > .objectRowTitle > .container-heading-h4 {
                    margin-bottom: 0.5rem;
                    display: flex;
                    gap: 0.5rem;
                    align-items: center;
                    justify-content: center;
                    padding-left: -3px;
                }

                    .idxSection4 > .objectRowTitle > .container-heading-h4 > img {
                        width: 34px;
                        height: 36px;
                    }

            .idxSection4 h2 {
                line-height: unset;
                background-size: unset;
                background-image: unset;
                padding: unset;
                margin-bottom: unset;
                height: unset;
            }

            .idxSection4 .wrapper-1176 {
                padding: 1rem;
            }

            .idxSection4 > .wrapper-1176 > .searchBtn2 {
                background: var(--cnvs-themecolor);
                height: 40px;
                border-radius: 6px;
                border: none;
                font-size: var(--cnvs-font-basic);
            }

            .idxSection4 select {
                border-radius: 6px;
                height: 40px;
                font-size: var(--cnvs-font-basic);
                padding: 0 0.2rem 0 0.5rem;
                color: var(--cnvs-contrast-600);
            }
        .imgLinkSec {
            max-width: 100%;
            height: 300px;
            flex-direction:row;
        }
    }
@media (max-width: 750px) {
    .searchOptionItemOn>i {
        display:none;
    }

    .searchOptionItem > i {
        display: none;
    }
    
}
@media (max-width: 560px) {
    .searchOptionItemOn {
        padding:0.5rem;
    }

    .searchOptionItem {
        padding: 0.5rem;
    }
    .homeSearchBar > .searchbox > .input-condition {
        min-width:40%!important;
    }
    .homeTopicObject {
        padding:0 0.5rem;
    }
    .counterItem:nth-child(2) .selectPanel.singleCol {
        width: 200% !important;
        left: -100% !important;
    }
    .counterItem:nth-child(2) .selectPanel::before {
        left: 60% !important;
    }
    .counterItem:nth-child(2) .selectPanel::after {
        left: 60.1% !important;
    }
    .counterItem:nth-child(4) .selectPanel.singleCol{
        width:200%!important;
        left:-100%!important;
    }
}
@media (max-width: 475px) {
    .homeSearchMenu {
        display:none;
    }

    .smallSearchMenul {
        display: flex;
        flex: 1 0 0;
        background: white;
        color: var(--cnvs-themecolor);
        border-radius: 0.5rem 0.5rem 0 0;
        gap: 0.2rem;
        align-items: center;
        justify-content: center;
        padding:0.5rem;
    }
    .homeSearchBar {
        border-top-right-radius:0 0 0.5rem 0.5rem;
    }
    .imgLinkSec > .hr-bg {
        display: none!important;
    }
    .topicevent {
        padding-right: 0px;
    }
    
}